---
author: nihilist
date: 2025-01-05
gitea_url: "http://git.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/nihilist/blog-contributions/issues/301"
xmr: 8AUYjhQeG3D5aodJDtqG499N5jXXM71gYKD8LgSsFB9BUV1o7muLv3DXHoydRTK4SZaaUBq4EAUqpZHLrX2VZLH71Jrd9k8
---
# Our stance on sensitive activities 

Yes, deniability enables sensitive activities, we showcase how to implement it, **but No we don't recommend you to do sensitive activities unless if you absolutely have to.**



## **What are sensitive activities ?**
    
    
    Sensitive activities are all the activities that are sure to get you in big trouble if an adversary were to irrefutably prove that you were behind them.
    	
    

Depending on who the adversary is, this categorization of activities ecompasses different things.

If the adversary is the state, then sensitive activities are everything that is in a given country's legal grey area, or that a given country has made to be illegal. 

As usual, context matters. For example in china, sensitive activities can be as simple as comparing Xi Jinping to Winnie the Pooh:

![](0.png)

Or in the UK, sensitive activities can be as simple [as posting your opinion on social media](https://www.bbc.com/news/articles/cm23y7l01v8o) (yes, context no longer matters when you post online in this country anymore, it can be interpreted however the court sees fit for their narrative):

![](1.png)

And of course the popular "purchasing controlled substances online" is also a sensitive activity preety much everywhere in the world.

![](2.png)

Or, the sensitive activity could simply be carrying more money ([monero for instance](../monerowealth/index.md)) on you than the legal amount of Cash you are allowed to carry:

![](../monerowealth/0.png)

Or, doing some black-hat hacking is also a sensitive activity, (meaning you breach into companies' networks without being authorized to do so beforehand), can also get you in ALOT of legal trouble.

![](3.png)

These are just a few examples of what sensitive activities can be, there are any number of possible sensitive activities that can be done online, activities for which the adversary would do everything to put you in jail for, therefore when that is the case, you need to be prepared for the worst that could happen.

## **Deniability enables Sensitive activities**

The core scenario that our entire deniability category of tutorials revolve around is the following:
    
    
    Scenario: If the adversary were to bust down your door right now, and force you to type a password, would your sensitive activities be able to remain secret ?
    	
    

Deniability is a fundamental requirement to be able to enable sensitive activities. And the main protection you have against that scenario where you're forced to type a password, is [deniable encryption](../veracrypt/index.md) (using Veracrypt's hidden volumes)

![](../veracrypt/20.png)

Without implementing a setup with deniable encryption, you cannot protect against the threat of you being forced to type a password, which would reveal the forensic proofs that you were behind those sensitive activities.

## **Do we recommend that you do sensitive activities ?**

If you've read our legal disclaimer at the bottom of any of our blogposts, you'd realize that we don't encourage anyone to engage in any illicit activity: 
    
    
    LEGAL DISCLAIMER:
     Across the entirety of the blog, in all articles that have been, and will ever be made, we ONLY advocate for the legal use of technologies - even when we are talking about Privacy-enhancing, or Anonymity-enabling, or Deniability-enabling technologies. We are NOT advocating for illegal use of the technology showcased in any article on the blog, as the goal of this blog is to remain strictly informative and educative.
    
    We decline any and all responsibility for any mis-use of any of the technology that we showcase throughout the blog. We also decline any and all responsibility for any physical, digital and psychological damage caused by the mis-use of showcased technology, as the responsibility of such acts remains with the perpetrating third-party. By reading this blog, you permanently, irrevocably, and world-widely agree that the blog writers are in no way responsible for any illegal actions done by you or anyone that uses the technology showcased in blog articles. 
    	
    

While it may be true that we showcase how to implement setups that provide you with Privacy, Anonymity or in this case even Deniability, we don't recommend you actually do any of those sensitive activities.

For example i don't believe that buying drugs on the web is worth the risks. Customs, and the postal service may not have implemented scanners everywhere, and the sheer amount of packages they have to process may make it impossible for them to reliably seize all drug packages that get sent through the postal system, **The risk remains that they may find your package, and perform a controlled delivery on you, just to find you guilty of being in possession of a controlled substance**.

If you've read my blogposts from the productivity section, you'd realize that [i motivate everyone to unwind their addictions](../../productivity/opus-nihil/index.md), to be able to live a fulfilling sober life.

![](../../productivity/opus-nihil/4.png)

I don't believe one bit that doing drugs is worth it, given the havoc it can wreck upon your life. Having been addicted myself to substances in the past, i find that sobriety is way more worth it, because that's when you get to do what you truly want to do [(pleasure seeking is not what you truly need in your life)](../../productivity/rightthing/index.md).

I used to dabble in sensitive activites here and there when i started the opsec blog, but after a while i realized that the paranoia is not worth it. However, i respect those that are willing to put their lives on the line for some sensitive activity that they actually believe could change the world for the better. 

**All of this to say, if you intend to do any sensitive activity, don't do it unless if you pondered all of the risks (especially if that includes ending up in jail), decide if it is actually worth it or not**. If you intend to actually do any sensitive activity after thinking through all the risks that come with it, i recommend that you read all of our deniability tutorials in order to familiarize yourself with the overall concept and setups, learn how to protect your activities in the case of you being forced to type a password, and make sure you implement it correctly. **Deniability is definitely a WAY stricter practice than that of maintaining anonymity, as this is where every small details can make the difference between a small sentence and a life sentence.**

